diff --git a/prog/files_reg.c b/prog/files_reg.c
index be49d192..0be9870d 100644
--- a/prog/files_reg.c
+++ b/prog/files_reg.c
@@ -212,7 +212,6 @@ SARRAY  *sa;
     lept_cp(srctail, newdir, newtail, &fname);
     if (rp->display)
         fprintf(stderr, "  File copied to: %s\n", fname);
-    lept_free(fname);
 
         /* move it elsewhere ... */
     lept_rmdir("junko");  /* clear out this directory */
